Subject: Re: comments on draft-ietf-ipv6-addr-arch-v4-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 05 Jan 2004 16:53:40 +0100

JINMEI Tatuya / 神明達哉 wrote:
> 
> >>>>> On Tue, 16 Dec 2003 11:49:47 +0100,
> >>>>> Brian E Carpenter <[email-masked]> said:
> 
> >> textual representation
> >> 2.2 (1) has to state how many digits are permitted as "x"
> >> (one component between colon).  my personal preference is that
> >> "x" has to be 1 to 4 digits (5 digits or more is invalid).
> 
> > I think an informative reference to draft-main-ipaddr-text-rep-00.txt
> > is needed.
> 
> In Minneapolis, I made a similar comment and Bob said the reference
> from addr-arch to ipaddr-text is not necessary (see
> http://www.ietf.org/proceedings/03nov/minutes/ipv6.htm and search for
> "ABNF")

I understood he was saying we should not have a *normative* reference,
because that would block the document. An *informative* reference to
an I-D is OK, because the RFC Editor can publish it as a "work in
progress" reference. 

Apart from that we seem to agree!

    Brian
> 
> I myself does not have a particular opinion, but would like to see a
> consensus.  I'm currently revising the scoping architecture draft, and
> the consensus might affect the references section there, too.
> 
> > I agree that the limit should be 4 digits (optionally including
> > leading zeros) and the draft-main- syntax specifies that.
> 
> Regarding this part, I agree.  It should also be noted that we had the
> same discussion in this April to June (at the ipngwg ML with the
> subject "IPv6 Address validation").  Unfortunately, we did not reach a
> consensus at that time as far as I can see.  It's nice if we can make
> it this time.
> 
>                                         JINMEI, Tatuya
>                                         Communication Platform Lab.
>                                         Corporate R&D Center, Toshiba Corp.
>                                         [email-masked]
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Distinguished Engineer, Internet Standards & Technology, IBM 

NEW ADDRESS <[email-masked]> PLEASE UPDATE ADDRESS BOOK

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------